#ifndef CHARYBDIS_EVENT_H
#define CHARYBDIS_EVENT_H
#include <iostream>
#include <cstdlib>
#include <vector>
#include <cmath>
#include "randomc.h"
#include "charybdis_user.h"
#include "charybdis_tools.h"
using namespace std;

class particle{
public:
/***********CONSTRUCTORS*******************/
	particle(int,double*);      //constructor for ID+3momentum
	particle(int,double*,int);  //constructor for ID+3momentum+spin
	particle(int,double);
/***************DATA***********************/
	int IDup;			//particle ID
	int Colup[2];		//colour
	int Spinup;			//spin
	double Pup[5];		//5-momentum (px,py,pz,E,m)
	
private:        //o que mais precisamos? os num leptonicos/barionicos convem por ou ficam implicitos na ID?
/***********Member functions**************/
	double mass_from_id(int);
};

class BHparticle{
public:
	BHparticle(particle&,particle&);					//constructor to be used creating the 1st black-hole
	/******************static data*****************/
	static CRandomMersenne temp;
	static CRandomMersenne& rand;
	static vector<double> MJlostdata_b;
	static vector<double> MJlostdata_Mb;
	static int enhanceXsec;
	static int TotalDim;
	static bool MJlostGraviton;
	static bool cvbias;	
	/******************class data********************/
	double Pup[5];				//5-momentum of the black hole
	double BHspin[3];			//black hole spin
	double BHtemperature;		//hawking temperature
	double BHradius;			//BH radius
	double BHoblateness;		//
	double BHdNdt;				//taxa de evaporaçao
private:
	double YRmodel_mirr(double,double,double,double,double);
};




class event{
public:
	event();
/*******************event data***************/
	vector<BHparticle> blackhole;
	vector<particle> part;
/****************member functions*************/
	void reset();
private:


/*************auxiliar data*******************/

};



#endif
