#include <iostream>
#include <string>
#include "CharybdisSrc/charybdis_ccinterface.h"
#include "CharybdisSrc/charybdis_BHgenerator.h"
#include "CharybdisSrc/charybdis_tools.h"
#include "CharybdisSrc/charybdis_PDFs.h"
#include "CharybdisSrc/randomc.h"
using namespace std;

int main(int argc, char *argv[])
{
  ccinterface console(argc, argv);        	//gets input and output parameters from the console
  CRandomMersenne rand(console.seed());   	//initialize the random number generator
  BHgenerator generator(console,rand);    	//constructs the BH generator using the console info
  generator.CharybdisInit();        		//inializes genetor, computing the cross-section
  
  
  /*********************************differential cross-section charts***********************************/
  /***************************this function evaluates the differential cross-section********************/
  /*******************************dependent on the black hole mass**************************************/
  /*************************leave it commented if you don not require it********************************/
  /**use it as generator.diffXsection(number_of_bins;MC_samplesize_per_bin,pathway_for_the_outputfile)**/
	generator.diffXsectionBin(20,10000,"Xsection.txt");
  /****************************************************************/
  
  console.close_all_streams();
  console.resetbufs();
  cout << "End of program."<<endl;
}
