#include "CharybdisSrc/charybdis_user.h"

double customXsec(double fact,int TotalDim){
//use this function to implement custom cross-section enhancements instead of the Yoshino-Rychkov calculations.
//you can then call them using option "2" of the enhanceXsec switch in the input file
//warning: if you need aditional data other than TotalDim you will have to edit "charybdis_BHgenerator.cpp" to pass them as arguments
	cerr<<"Error: the user defined enhancement calculations was not altered."<<endl
		<<"Edit the 'charybdis_user.cpp' file if you wish to implement your own calculations"<<endl;
	exit(EXIT_FAILURE);		//as it stands if this function is called if stops the program
	return 0.0;
}

double customBHmax(int TotalDim){
//use this function to implement a custom Bmax factor if you are using a custom enhancement instead of Yoshino-Rychkov calculations.
//you can then call them using option "2" of the enhanceXsec switch in the input file
//warning: if you need aditional data other than TotalDim you will have to edit "charybdis_BHgenerator.cpp" to pass them as arguments
	cerr<<"Error: the user defined enhancement calculations was not altered."<<endl
		<<"Edit the 'charybdis_user.cpp' file if you wish to implement your own calculations"<<endl;
	exit(EXIT_FAILURE);		//as it stands if this function is called if stops the program
	return 0.0;
}

double customPlanckmassdef(double,int){
//use this function to implement custom Planck mass definition instead of Giddings-Thomas (1), Dimopolous-Landsberg (2) or PDG (3).
//you can then call them using option "4" of the planckmassdef switch in the input file
//warning: if you need aditional data other than TotalDim you will have to edit "charybdis_BHgenerator.cpp" to pass them as arguments
	cerr<<"Error: the user defined planck mass definition was not altered."<<endl
		<<"Edit the 'charybdis_user.cpp' file if you wish to implement your own calculations"<<endl;
	exit(EXIT_FAILURE);		//as it stands if this function is called if stops the program
	return 0.0;	
}
